Subject: linux-next: manual merge of the net-next tree with the net tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 18 Oct 2021 10:51:51 +1100

Hi all,

Today's linux-next merge of the net-next tree got a conflict in:

  tools/testing/selftests/net/forwarding/forwarding.config.sample

between commit:

  0857d6f8c759 ("ipv6: When forwarding count rx stats on the orig netdev")

from the net tree and commit:

  45d45e5323a9 ("testing: selftests: forwarding.config.sample: Add tc flag")

from the net-next tree.

I fixed it up (see below) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

-- 
Cheers,
Stephen Rothwell

diff --cc tools/testing/selftests/net/forwarding/forwarding.config.sample
index e5e2fbeca22e,10ce3720aa6f..000000000000
--- a/tools/testing/selftests/net/forwarding/forwarding.config.sample
+++ b/tools/testing/selftests/net/forwarding/forwarding.config.sample
@@@ -39,5 -39,6 +39,8 @@@ NETIF_CREATE=ye
  # Timeout (in seconds) before ping exits regardless of how many packets have
  # been sent or received
  PING_TIMEOUT=5
 +# IPv6 traceroute utility name.
 +TROUTE6=traceroute6
+ # Flag for tc match, supposed to be skip_sw/skip_hw which means do not process
+ # filter by software/hardware
+ TC_FLAG=skip_hw